<?php
session_start();
	include('conexion.php');
	header("Content-Type: text/html;charset=utf-8");
	include 'mysql_Agregar_auditoria.php';
	date_default_timezone_set("America/Mazatlan");
	ob_start ();
	require('./fpdf/fpdf.php');
	ini_set('max_execution_time', '300');
	set_time_limit(300);

	//$_SESSION['tipo'] = 6;

$producto = $_GET['id_producto'];
	$id_cliente = $_GET['id_cliente'];
	$idtipo = $_GET['idtipo'];
	$departamento = $_GET['departamento'];
	$vehiculo = $_GET['id_vehiculo'];
	$limit = $_GET['limit'];
	$fecha1 = $_GET['fecha1'];
	$fecha_inicio1 = $_GET['fecha_inicio'];
	$fecha_fin1 = $_GET['fecha_fin'];
	$fecha2 = $_GET['fecha2'];
	$fecha_inicio2 = $_GET['fecha_inicio2'];
	$fecha_fin2 = $_GET['fecha_fin2'];
	$facturado = $_GET['facturado'];
	$no_facturado = $_GET['no_facturado'];
	$serie = $_GET['serie'];
	$folio = $_GET['folio'];
	$adeudo = $_GET['adeudo'];
	$id_serie = $_GET['id_serie'];
	$id_folio = $_GET['id_folio'];
	$id_adeudo = $_GET['id_adeudo'];
	$t_activa = $_GET['t_activa'];
	$t_cancelada = $_GET['t_cancelada'];
	$ordenamiento = $_GET['ordenamiento'];
	$total_transacciones =0;
	$monto_muestra=0;
	$volumen_muestra=0;


	
	class PDF extends FPDF
	{
	// Cabecera de página
	function Header()
	{
		include('conexion.php');
		$id_distribuidor = $_GET['id_distribuidor'];
		$id_cliente = $_GET['id_cliente'];
		$id_equipo = $_GET['id_equipo'];
		$fecha_inicio = $_GET['fecha_inicio'];
		$fecha_fin = $_GET['fecha_fin'];
		$indicador_filtro_fecha = $_GET['indicador_filtro_fecha'];
		$indicador_filtro_pendiente = $_GET['indicador_filtro_pendiente'];
		$indicador_filtro_producto = $_GET['indicador_filtro_producto'];	
		$producto = $_GET['producto'];		

	   $fecha= date('Y-m-d H:i:s');
	     $this->SetFont('Arial','B',8);
	    $this->Cell(260,0,$fecha,0,0,'R');
	    //$this->Image('images/logo.png',5,5,20);
	    //$this->SetX(92);
		//$this->SetFont('Arial','B',11);
		//$this->Cell(90,5, '',0,0,'C');	
		$this->ln();

		$this->SetFont('Arial','B',12);
		$this->Cell(10,5, 'REPORTE DE TRANSACCIONES',0,0,'L');				
		$this->ln();	

		$this->SetFont('Arial','B',9);
		$this->Cell(10,5, 'Cliente: '. $id_cliente.' '.$razon_social,0,0,'L');	

		$this->Line(10, 25, 287-20, 25);
		$this->Line(10, 25, 287-20, 25);
		$this->Line(10, 25, 287-20, 25);

		$this->ln();
		$this->SetFont('Arial','B',9);
		$this->Cell(15,5,"Id Vehi",'B',0,'C');			
		$this->Cell(26,5,"Departamento",'B',0,'C');
		$this->Cell(21,5,"N Eco",'B',0,'C');
		$this->Cell(15,5,"Placa",'B',0,'C');
		$this->Cell(23,5,"Transaccion",'B',0,'C');
		$this->Cell(30,5,"Fecha Registro",'B',0,'C');
		$this->Cell(23,5,"Producto",'B',0,'C');
		$this->Cell(21,5,"Volumen",'B',0,'C');
		$this->Cell(23,5,"Monto",'B',0,'C');
		$this->Cell(16,5,"Odometro",'B',0,'C');
		$this->Cell(19,5,"Diferencia",'B',0,'C');
		$this->Cell(10,5,"Serie",'B',0,'C');
		$this->Cell(10,5,"Folio",'B',0,'C');						
	
	}

	// Pie de página
	function Footer()
	{
	    // Posición: a 1,5 cm del final
	    $this->SetY(-10);
	    // Arial italic 8
	    $this->SetFont('Arial','I',9);
	    $this->Cell(0,5,'GasLightSystem Flotillas Locales ',0,0,'L');
	    // Número de página
	    $this->Cell(0,5,'Page '.$this->PageNo().'/{nb}',0,0,'R');
	}
	}
		
	$pdf=new PDF('L','mm','Letter');

	$pdf->AliasNbPages();
	$pdf->SetTitle('Reporte Transacciones');
	$pdf->AddPage();
				
				
			$pdf->SetFont('Arial','',8);
			$cont_primera_vuelta=0;

			$sql = "Select ";
	$sql .= "t.id_transaccion, ";
	$sql .= "t.id_turno, ";
	$sql .= "ifnull(t.monto,0) as monto, ";
	$sql .= "ifnull(t.saldo,0) as saldo, ";
	$sql .= "date_format(t.fecha,'%Y/%m/%d %H:%m:%s') as fecha, ";
	$sql .= "t.id_vehiculo, ";
	$sql .= "ifnull(t.odometro,0) as odometro, ";
	$sql .= "ifnull(t.odometro_diferencia,0) as odometro_diferencia, ";
	$sql .= "if(t.factura=0,'No','Si') as factura, ";
	$sql .= "t.serie, ";
	$sql .= "t.folio, ";
	$sql .= "t.id_factura, ";
	$sql .= "ifnull(tac.id_adeudo,0) as id_adeudo, ";
	$sql .= "ifnull(t.aux_1,'') as aux_1, ";
	$sql .= "td.volumen, ";
	$sql .= "p.nombre, ";
	$sql .= "t.id_turno, ";
	$sql .= "v.departamento, ";
	$sql .= "v.numero_economico, ";
	$sql .= "v.placa ";
	$sql .= "from transacciones_detalle td, productos p, transacciones t  ";
	$sql .= "left join vehiculos v on(v.id_vehiculo=t.id_vehiculo) ";
	$sql .= "left join (select ta.id_adeudo, ta.id_transaccion from transacciones_adeudos_cobro ta, adeudos_cobro ac ";
	$sql .= "where ta.id_adeudo= ac.id_adeudo and ac.estatus!=3 and ac.tipo_entidad=0) tac on (t.id_transaccion = tac.id_transaccion) ";	
	$sql .= "where ifnull(estatus,1) !=0 and id_tipo = 1 ";

	if ($facturado == "1" && $no_facturado=="0")
	{
		$sql .= " and t.factura =1 ";
	}

	if ($facturado == "0" && $no_facturado == "1")
	{
		$sql .= " and t.factura =0 ";
	}
	
	if($fecha2 == 1)
	{
		$sql .= "and fecha >='" . $fecha_inicio2 . " 00:00:00' and fecha <='".$fecha_fin2." 23:59:59' ";
	}
	
	if ($_SESSION['id_cliente'] != "")
	{
		$sql .= " and t.id_cliente = " . $_SESSION['id_cliente'] ;
	}
	
	if ($vehiculo !="" && $vehiculo != 0 && $vehiculo != "0" )
	{
		$sql .= " and t.id_vehiculo = " . $vehiculo;
	}
	
	if($fecha1=="1")
	{
		$fecha_inicio1 =str_replace ( "-", '', $fecha_inicio1);
		$turnoini = $fecha_inicio1."00";

		$fecha_fin1 =str_replace ( "-", '', $fecha_fin1);
		$turnofin = $fecha_fin1."99";

		if ($turnoini !="")
		{
			$sql .= " and t.id_turno >= " . $turnoini;
		}
		if ($turnofin != "")
		{
			$sql .= " and t.id_turno <= " . $turnofin;
		}
	}
	if ($adeudo == "1" && $id_adeudo != "")
	{
		$sql .= " and tac.id_adeudo =" . $id_adeudo ." ";
	}

	if ($serie == true && $id_serie != "")
	{
		$sql .= " and t.serie ='" . $id_serie . "' ";
	}

	if ($folio == true && $id_folio != "")
	{
		$sql .= " and t.folio =" . $id_folio . " ";
	}
	
	$sql .= " and td.id_producto= p.id_producto and t.id_transaccion = td.id_transaccion ";
	if($producto != 0){
	     $sql .= "and p.id_producto = " . $producto." ";		
	}							


	
	//rmn para que solo muestre 1 detalle
	$sql .= " and td.id_detalle=1 ";
	
	//fin filtro productos
	/*if ($orid=="1")
		$sql .= " order by t.id_transaccion ";
	else
		$sql .= " order by t.id_turno,t.id_transaccion ";*/
	
	if ($limit=="1")
	{
		$sql .= "limit 1000 ";
	}

	
			$resultado0 = $conexion->query($sql); 

			
			if(!$resultado0) 
			{
				echo "Error: No se pudo realizar la consulta de las transacciones.";
				return;
			}

			while($fila = $resultado0->fetch_assoc()) {	

				$pdf->SetFont('Arial','',9);
				$pdf->Cell(16,5,$fila['id_vehiculo'],0,0,'C');
				$pdf->Cell(22,5,$fila['departamento'],0,0,'L');
				$pdf->Cell(20,5,$fila['numero_economico'],0,0,'R');
				$pdf->Cell(23,5,$fila['placa'],0,0,'C');
				$pdf->Cell(18,5,$fila['id_transaccion'],0,0,'R');
				$pdf->Cell(33,5,$fila['fecha'],0,0,'C');
				$pdf->Cell(18,5,$fila['nombre'],0,0,'C');
				$pdf->Cell(20,5,number_format($fila['volumen'],2,'.',','),0,0,'R');
				$pdf->Cell(24,5,number_format($fila['monto'],2,'.',','),0,0,'R');
				$pdf->Cell(20,5,$fila['odometro'],0,0,'R');
				$pdf->Cell(18,5,$fila['odometro_diferencia'],0,0,'R');
				$pdf->Cell(10,5,$fila['serie'],0,0,'L');
				$pdf->Cell(10,5,$fila['folio'],0,0,'R');
				$pdf->Ln();		

				$monto_muestra = $monto_muestra+ $fila['monto'];
				$volumen_muestra = $volumen_muestra + $fila['volumen'];
				$total_transacciones = $total_transacciones+1;	

			}
		$resultado0->free();

		
		$pdf->SetFont('Arial','B',9);
			
				$pdf->Cell(150,5,'TOTAL:',0,0,'R');
				$pdf->Cell(20,5,number_format($volumen_muestra,2,'.',','),0,0,'R');
				$pdf->Cell(24,5,number_format($monto_muestra,2,'.',','),0,0,'R');
				
				$pdf->Ln();	


		$informacion = 'Genero Reporte Transacciones formato PDF ';
		$datos = "Con filtros id_vehiculo=".$vehiculo." Departamento=".$departamento." Producto=".$producto;
		if($fecha1==1){ $datos=$datos." Fecha_contable=".$fecha_inicio1." hasta ".$fecha_fin1;}
		if($fecha1==1){ $datos=$datos." Fecha_Registro=".$fecha_inicio2." hasta ".$fecha_fin2;}
		if($serie==1){  $datos=$datos." Serie=".$id_serie;}
		if($folio==1){  $datos=$datos." Folio=".$id_folio;}
		if($adeudo==1){ $datos=$datos." Adeudo= ".$id_adeudo;}
		$datos=$datos." Facturado=".$facturado." No facturado=".$no_facturado." Limit=".$limit;
		insertAuditoria($informacion,$datos,$_SESSION['id_usuario'],$_SESSION['direccion_ip'],$_SESSION['direccion_mac']);	
	
	mysqli_close($iden);
	$pdf->Output();	
	 ob_end_flush(); 

?>